Loading...
Searching...
No Matches
DoglegOptimizerImpl.h File Reference

Nonlinear factor graph optimizer using Powell's Dogleg algorithm (detail implementation). More...

Go to the source code of this file.

## Classes

struct | gtsam::DoglegOptimizerImpl
| This class contains the implementation of the Dogleg algorithm. More...
struct | gtsam::DoglegOptimizerImpl::IterationResult

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Nonlinear factor graph optimizer using Powell's Dogleg algorithm (detail implementation).

Author
  Richard Roberts